be.fgov.ehealth.dics.protocol.v4

## Class VmpGroupListType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.VmpGroupListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:07+01:00",
                 comments="JAXB RI v2.2.11")
      public class VmpGroupListType
      extends Object
      implements Serializable

  Java class for VmpGroupListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="VmpGroupListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Data" type="{urn:be:fgov:ehealth:dics:protocol:v4}VmpGroupListDataType" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VmpGroupListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `List<VmpGroupListDataType>` | `getDatas()` Gets the value of the datas property.
    `void` | `setCode(String value)` Sets the value of the code property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VmpGroupListType

          public VmpGroupListType()

  - ### Method Detail

    - #### getDatas

          public List<VmpGroupListDataType> getDatas()

      Gets the value of the datas property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the datas property.

      For example, to add a new item, do as follows:

              getDatas().add(newItem);

      Objects of the following type(s) are allowed in the list `VmpGroupListDataType`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.